Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 237904 - Patch for: [Breadcrumbs] Show the packagename for leftmost type
Patch for: [Breadcrumbs] Show the packagename for leftmost type
Status: VERIFIED FIXED
Product: java
Classification: Unclassified
Component: Navigation
8.0
PC Windows 7
: P3 (vote)
: 8.0.1
Assigned To: markiewb
issues@java
netfix801
: PATCH_AVAILABLE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-01 20:55 UTC by markiewb
Modified: 2014-07-26 10:21 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Proposed patch (1.87 KB, patch)
2013-11-01 20:58 UTC, markiewb
Details | Diff
Patch in action (40.77 KB, image/png)
2013-11-01 20:58 UTC, markiewb
Details

Note You need to log in before you can comment on or make changes to this bug.
Description markiewb 2013-11-01 20:55:03 UTC
ACTUAL: breadcrumbs bar shows the simple name of the topmost type (class/interface/enum...)

EXPECTED: breadcrumbs bar shows the fully qualified name of the topmost type. This is useful when you are in "Show only editor" mode.
Comment 1 markiewb 2013-11-01 20:58:06 UTC
Created attachment 141789 [details]
Proposed patch

I like to propose a patch to solve this RFE. Please review and commit!

The patch introduces the display of the package name for the topmost type in the breadcrumbs bar.
Comment 2 markiewb 2013-11-01 20:58:22 UTC
Created attachment 141790 [details]
Patch in action
Comment 3 markiewb 2014-07-06 00:07:51 UTC
Please review the patch.
Comment 4 Dusan Balek 2014-07-08 12:35:30 UTC
Fixed in jet-main.

http://hg.netbeans.org/jet-main/rev/ca8eb2397288
Comment 5 Quality Engineering 2014-07-09 02:48:21 UTC
Integrated into 'main-silver', will be available in build *201407090001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/ca8eb2397288
User: Dusan Balek <dbalek@netbeans.org>
Log: Issue #237904: [Breadcrumbs] Show the packagename for leftmost type - fixed.
Comment 6 markiewb 2014-07-26 10:21:27 UTC
Verified

Product Version: NetBeans IDE Dev (Build 201407260001)
Updates: Updates available
Java: 1.8.0_05; Java HotSpot(TM) 64-Bit Server VM 25.5-b02
Runtime: Java(TM) SE Runtime Environment 1.8.0_05-b13
System: Windows 7 version 6.1 running on amd64; Cp1252; en_US (nb)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo